Skip to main content
POST
Error

Authorizations

Authorization
string
header
required

Authorization: Bearer <token>. Accepts EITHER a Keycloak access token (scopes-in-token) OR an opaque POS session token; both resolve to the same pos.* scope vocabulary the route guards enforce.

Body

application/json
id
string
required
Minimum string length: 1
orderId
string
required
Minimum string length: 1
customerId
string
required
Minimum string length: 1
storeId
string
required
Minimum string length: 1
currency
string
required
Required string length: 3
orderTotalCents
integer
required
Required range: 0 < x <= 9007199254740991
depositAmountCents
integer
required
Required range: 0 < x <= 9007199254740991

Response

The opened deposit in its open state.

The opened deposit in its open state.

id
string
required
orderId
string
required
customerId
string
required
storeId
string
required
currency
string
required
orderTotalCents
integer
required
Required range: 0 < x <= 9007199254740991
payments
object[]
required
status
enum<string>
required
Available options:
open,
settled
actorId
string
required
createdAt
string
required